com.jscape.sql.pagination

## Class PageRequest

- java.lang.Object
- - com.jscape.sql.pagination.PageRequest

-     public class PageRequest
      extends java.lang.Object

  Data page request.
  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` Total records to get.
    `int` | `recordIndex` Starting record index.
    `SearchQuery` | `searchQuery` Search query.
    `Sorting` | `sorting` Sorting.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageRequest()`
    `PageRequest(int recordIndex, int count, SearchQuery searchQuery, Sorting sorting)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PageRequest` | `allRecords()`
    `java.lang.String` | `toString()`
    `PageRequest` | `withoutSearching()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### recordIndex

          public int recordIndex

      Starting record index.

    - #### count

          public int count

      Total records to get.

    - #### searchQuery

          public SearchQuery searchQuery

      Search query.

    - #### sorting

          public Sorting sorting

      Sorting.

  - ### Constructor Detail

    - #### PageRequest

          public PageRequest(int recordIndex,
                             int count,
                             SearchQuery searchQuery,
                             Sorting sorting)

    - #### PageRequest

          public PageRequest()

  - ### Method Detail

    - #### allRecords

          public static PageRequest allRecords()

    - #### withoutSearching

          public PageRequest withoutSearching()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved